import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
 * Class Administrador
*/
public class Administrador extends JFrame implements ActionListener{
	
	
	/////////que se agrega///////
	JPanel panel;
	
	JButton boton1;
	JButton boton2;
	JButton boton3;
	JLabel label1;
	
/** 
* Constructor Administrador
*/
	public Administrador(){
	
	this.setTitle("Programa");
	this.setVisible(true);
	this.setBounds(50, 50, 500, 500);
	this.setExtendedState(MAXIMIZED_BOTH);
	this.setResizable(false);
	this.setLayout(null);
	
	panel = new JPanel();
	
	label1 = new JLabel();
	label1.setText("Programa diseņado para el estiodio y aprendizaje del lenguaje, \n seleccione inicio de test para evaluar a los participantes");
	label1.setBounds(350, 100, 2000, 100); //x,y,tamaņos(x,y)
	
	/////////boton de inicio
	boton1 = new JButton("Inicio de Test");
	boton1.setBounds(200, 350, 200, 100); //x,y,tamaņos(x,y)
	
	boton2 = new JButton("Cargar antiguo escenario");
	boton2.setBounds(600, 350, 200, 100); //x,y,tamaņos(x,y)
	
	boton3 = new JButton("Salir");
	boton3.setBounds(1000, 350, 200, 100); //x,y,tamaņos(x,y)

	
	this.add(panel); ////agrega el panel
	this.add(label1);
	this.add(boton1);
	this.add(boton2);
	this.add(boton3);
	
	
	this.boton1.addActionListener(this);
	this.boton2.addActionListener(this);
	this.boton3.addActionListener(this);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/
	public void actionPerformed(ActionEvent arg0) {

		
		if(arg0.getSource().equals(boton1)){
			Inicio nom = new Inicio();
			this.dispose();
		}
		
		if(arg0.getSource().equals(boton2)){
			Inicio nom = new Inicio();
			this.dispose();
		}
		
		if(arg0.getSource().equals(boton3)){
			this.dispose();
		}
		
	}

}